package com.pcloud.book.custom.biz;

import com.pcloud.book.custom.dto.CustomTimeControlDTO;
import com.pcloud.book.custom.dto.CustomTimeControlPageDTO;
import com.pcloud.common.page.PageBeanNew;

public interface CustomTimeControlBiz {
    Integer createCustomTimeControl(CustomTimeControlDTO customTimeControlDTO);

    void updateCustomTimeControl(CustomTimeControlDTO customTimeControlDTO);

    PageBeanNew<CustomTimeControlPageDTO> getCustomTimeControlPage(String taskName, Integer currentPage, Integer numPerPage);

    CustomTimeControlDTO getCustomTimeControlById(Integer id);

    void deleteCustomTimeControlById(Integer id);

    void subCustomTimeControlById(Integer id,String wxUserId,String robotWxId);

    Boolean getUserSub(Integer customTimeControlId, String wxUserId);
}
